## dnf-package

dnf-package

## Functions

DnfRepo * | dnf_package_get_repo ()
void | dnf_package_set_repo ()
const gchar * | dnf_package_get_filename ()
void | dnf_package_set_filename ()
const gchar * | dnf_package_get_origin ()
void | dnf_package_set_origin ()
const gchar * | dnf_package_get_package_id ()
DnfPackageInfo | dnf_package_get_info ()
void | dnf_package_set_info ()
DnfStateAction | dnf_package_get_action ()
void | dnf_package_set_action ()
gboolean | dnf_package_get_user_action ()
void | dnf_package_set_user_action ()
gboolean | dnf_package_is_gui ()
gboolean | dnf_package_is_devel ()
gboolean | dnf_package_is_local ()
gchar * | dnf_package_get_local_baseurl ()
gboolean | dnf_package_is_downloaded ()
gboolean | dnf_package_is_installonly ()
const gchar * | dnf_package_get_pkgid ()
void | dnf_package_set_pkgid ()
guint | dnf_package_get_cost ()
gchar * | dnf_package_download ()
gboolean | dnf_package_check_filename ()
gboolean | dnf_package_array_download ()
guint64 | dnf_package_array_get_download_size ()

## Types and Values

enum | DnfPackageInfo

## Description

## Functions

### dnf_package_get_repo ()

    DnfRepo *
    dnf_package_get_repo (DnfPackage *pkg);

### dnf_package_set_repo ()

    void
    dnf_package_set_repo (DnfPackage *pkg,
                          DnfRepo *repo);

### dnf_package_get_filename ()

    const gchar *
    dnf_package_get_filename (DnfPackage *pkg);

### dnf_package_set_filename ()

    void
    dnf_package_set_filename (DnfPackage *pkg,
                              const gchar *filename);

### dnf_package_get_origin ()

    const gchar *
    dnf_package_get_origin (DnfPackage *pkg);

### dnf_package_set_origin ()

    void
    dnf_package_set_origin (DnfPackage *pkg,
                            const gchar *origin);

### dnf_package_get_package_id ()

    const gchar *
    dnf_package_get_package_id (DnfPackage *pkg);

### dnf_package_get_info ()

    DnfPackageInfo
    dnf_package_get_info (DnfPackage *pkg);

### dnf_package_set_info ()

    void
    dnf_package_set_info (DnfPackage *pkg,
                          DnfPackageInfo info);

### dnf_package_get_action ()

    DnfStateAction
    dnf_package_get_action (DnfPackage *pkg);

### dnf_package_set_action ()

    void
    dnf_package_set_action (DnfPackage *pkg,
                            DnfStateAction action);

### dnf_package_get_user_action ()

    gboolean
    dnf_package_get_user_action (DnfPackage *pkg);

### dnf_package_set_user_action ()

    void
    dnf_package_set_user_action (DnfPackage *pkg,
                                 gboolean user_action);

### dnf_package_is_gui ()

    gboolean
    dnf_package_is_gui (DnfPackage *pkg);

### dnf_package_is_devel ()

    gboolean
    dnf_package_is_devel (DnfPackage *pkg);

### dnf_package_is_local ()

    gboolean
    dnf_package_is_local (DnfPackage *pkg);

### dnf_package_get_local_baseurl ()

    gchar *
    dnf_package_get_local_baseurl (DnfPackage *pkg,
                                   GError **error);

### dnf_package_is_downloaded ()

    gboolean
    dnf_package_is_downloaded (DnfPackage *pkg);

### dnf_package_is_installonly ()

    gboolean
    dnf_package_is_installonly (DnfPackage *pkg);

### dnf_package_get_pkgid ()

    const gchar *
    dnf_package_get_pkgid (DnfPackage *pkg);

### dnf_package_set_pkgid ()

    void
    dnf_package_set_pkgid (DnfPackage *pkg,
                           const gchar *pkgid);

### dnf_package_get_cost ()

    guint
    dnf_package_get_cost (DnfPackage *pkg);

### dnf_package_download ()

    gchar *
    dnf_package_download (DnfPackage *pkg,
                          const gchar *directory,
                          DnfState *state,
                          GError **error);

### dnf_package_check_filename ()

    gboolean
    dnf_package_check_filename (DnfPackage *pkg,
                                gboolean *valid,
                                GError **error);

### dnf_package_array_download ()

    gboolean
    dnf_package_array_download (GPtrArray *packages,
                                const gchar *directory,
                                DnfState *state,
                                GError **error);

### dnf_package_array_get_download_size ()

    guint64
    dnf_package_array_get_download_size (GPtrArray *packages);

## Types and Values

### enum DnfPackageInfo

The info enum code.

#### Members

DNF_PACKAGE_INFO_UNKNOWN | Unknown state |
DNF_PACKAGE_INFO_UPDATE | Package update |
DNF_PACKAGE_INFO_INSTALL | Package install |
DNF_PACKAGE_INFO_REMOVE | Package remove |
DNF_PACKAGE_INFO_CLEANUP | Package cleanup |
DNF_PACKAGE_INFO_OBSOLETE | Package obsolete |
DNF_PACKAGE_INFO_REINSTALL | Package re-install |
DNF_PACKAGE_INFO_DOWNGRADE | Package downgrade |